View Issue Details

IDProjectCategoryView StatusLast Update
0001535Documents*.hlfpublic2013-03-25 11:35
ReporterDVAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary0001535: Добавление справки по Ctrl-Alt-F (фильтрация элементов меню)
DescriptionУпоминание о Ctrl-Alt-F (фильтрация элементов меню) добавлено в следующие разделы справки: @DriveDlg, @UserMenu, @PluginCommands и @PluginsConfig.
Прилагается файл FarHlf.diff с изменениями для FarRus.hlf.m4 и FarEng.hlf.m4.
TagsNo tags attached.

Activities

DV

2010-10-06 16:01

reporter  

FarHlf.diff (4,015 bytes)
Index: FarRus.hlf.m4
===================================================================
--- FarRus.hlf.m4	(revision 5106)
+++ FarRus.hlf.m4	(working copy)
@@ -857,6 +857,8 @@
                   автоматически.
     #Shift-F9#    - параметры выбранного модуля.
     #Alt-Shift-F9# - открыть меню ~"Конфигурация модулей"~@PluginsConfig@.
+    #Ctrl-Alt-F#   - фильтрация элементов меню (работает во всех меню и
+                   выпадающих списках).
 
     См. также: ~Поддержка подключаемых модулей~@Plugins@.
 
@@ -883,6 +885,10 @@
 для Far 1.x и не поддерживает всех возможностей Far 2 (в частности, символов
 Unicode в именах файлов и в редакторе).
 
+    Элементы этого меню могут быть отфильтрованы с помощью #Ctrl-Alt-F# 
+(работает во всех меню и выпадающих списках).
+
+
 @PluginsReviews
 $ #Обзор возможностей подключаемых модулей#
     Оболочка FAR Manager настолько тесно слилась со своими плагинами, что
@@ -1931,6 +1937,9 @@
 
     Вы можете закрыть меню на любом уровне вложенности нажав #Shift-F10#.
 
+    Для фильтрации элементов меню используйте #Ctrl-Alt-F# (работает во всех
+меню и выпадающих списках).
+
     См. так же список ~макроклавиш~@KeyMacroUserMenuList@, доступных в меню пользователя.
 
 @FileAssoc
@@ -2974,6 +2983,9 @@
 разработан для Far 1.7x и не поддерживает всех возможностей Far 2 (в частности,
 символов Unicode в именах файлов и в редакторе).
 
+    #Ctrl-Alt-F# позволяет фильтровать элементы меню (работает во всех меню и
+выпадающих списках).
+
    См. так же список ~макроклавиш~@KeyMacroDisksList@, доступных в меню выбора диска.
 
 
Index: FarEng.hlf.m4
===================================================================
--- FarEng.hlf.m4	(revision 5106)
+++ FarEng.hlf.m4	(working copy)
@@ -842,6 +842,8 @@
                   entered, then Far sets the hotkey automatically.
     #Shift-F9#    - settings of the selected plugin.
     #Alt-Shift-F9# - open ~"Plugins configuration"~@PluginsConfig@ menu.
+    #Ctrl-Alt-F#   - filter the menu items (works inside all menus and
+                   drop-down lists).
 
     See also ~Plugins support~@Plugins@.
 
@@ -867,7 +869,10 @@
 possibilities available in Far 2 (these are, in particular, Unicode characters
 in filenames and in editor).
 
+    The menu items can be filtered using #Ctrl-Alt-F# (works inside all menus
+and drop-down lists).
 
+
 @PluginsReviews
 $ #Overview of plugin capabilities#
     The FAR manager is so tightly integrated with its plugins that it is simply
@@ -1892,6 +1897,9 @@
 
     To close the menu even if submenus are open use #Shift-F10#.
 
+    To filter the menu items use #Ctrl-Alt-F# (works inside all menus and
+drop-down lists).
+
     See also the list of ~macro keys~@KeyMacroUserMenuList@, available in the user menu.
 
 @FileAssoc
@@ -2922,6 +2930,9 @@
 written for Far 1.7x and it does not support all possibilities available in
 Far 2 (these are, in particular, Unicode characters in filenames and in editor).
 
+    #Ctrl-Alt-F# allows to filter the menu items (works inside all menus and
+drop-down lists).
+
    See also the list of ~macro keys~@KeyMacroDisksList@, available in the disk menu.
 
 
FarHlf.diff (4,015 bytes)

JohnDoe

2010-10-06 16:25

updater   bugnote:0005881

http://forum.farmanager.com/viewtopic.php?p=70021#p70021
...в списке ассоциаций фильтр ну очень полезен, в отличии от @DriveDlg и @UserMenu...
...Я так думаю правильнее создать специальный раздел для меню, где среди прочего упомянуть и Ctrl-Alt-F....

DV

2010-10-06 16:49

reporter  

FarHlf.05.diff (5,016 bytes)
Index: FarRus.hlf.m4
===================================================================
--- FarRus.hlf.m4	(revision 5106)
+++ FarRus.hlf.m4	(working copy)
@@ -857,6 +857,8 @@
                   автоматически.
     #Shift-F9#    - параметры выбранного модуля.
     #Alt-Shift-F9# - открыть меню ~"Конфигурация модулей"~@PluginsConfig@.
+    #Ctrl-Alt-F#   - фильтрация элементов меню (работает во всех меню и
+                   выпадающих списках).
 
     См. также: ~Поддержка подключаемых модулей~@Plugins@.
 
@@ -883,6 +885,10 @@
 для Far 1.x и не поддерживает всех возможностей Far 2 (в частности, символов
 Unicode в именах файлов и в редакторе).
 
+    Элементы этого меню могут быть отфильтрованы с помощью #Ctrl-Alt-F# 
+(работает во всех меню и выпадающих списках).
+
+
 @PluginsReviews
 $ #Обзор возможностей подключаемых модулей#
     Оболочка FAR Manager настолько тесно слилась со своими плагинами, что
@@ -1931,6 +1937,9 @@
 
     Вы можете закрыть меню на любом уровне вложенности нажав #Shift-F10#.
 
+    Для фильтрации элементов меню используйте #Ctrl-Alt-F# (работает во всех
+меню и выпадающих списках).
+
     См. так же список ~макроклавиш~@KeyMacroUserMenuList@, доступных в меню пользователя.
 
 @FileAssoc
@@ -1957,6 +1966,8 @@
 
     #Ctrl-Down#  - передвинуть ассоциацию вниз
 
+    #Ctrl-Alt-F# - фильтровать элементы (работает во всех меню и списках)
+
     Если для данного файла отсутствуют ассоциированные команды запуска и
 установлен параметр #Использовать стандартные типы# в ~Системных параметрах~@SystemSettings@,
 то FAR пытается использовать ассоциации Windows для запуска этого типа
@@ -2974,6 +2985,9 @@
 разработан для Far 1.7x и не поддерживает всех возможностей Far 2 (в частности,
 символов Unicode в именах файлов и в редакторе).
 
+    #Ctrl-Alt-F# позволяет фильтровать элементы меню (работает во всех меню и
+выпадающих списках).
+
    См. так же список ~макроклавиш~@KeyMacroDisksList@, доступных в меню выбора диска.
 
 
Index: FarEng.hlf.m4
===================================================================
--- FarEng.hlf.m4	(revision 5106)
+++ FarEng.hlf.m4	(working copy)
@@ -842,6 +842,8 @@
                   entered, then Far sets the hotkey automatically.
     #Shift-F9#    - settings of the selected plugin.
     #Alt-Shift-F9# - open ~"Plugins configuration"~@PluginsConfig@ menu.
+    #Ctrl-Alt-F#   - filter the menu items (works inside all menus and
+                   drop-down lists).
 
     See also ~Plugins support~@Plugins@.
 
@@ -867,7 +869,10 @@
 possibilities available in Far 2 (these are, in particular, Unicode characters
 in filenames and in editor).
 
+    The menu items can be filtered using #Ctrl-Alt-F# (works inside all menus
+and drop-down lists).
 
+
 @PluginsReviews
 $ #Overview of plugin capabilities#
     The FAR manager is so tightly integrated with its plugins that it is simply
@@ -1892,6 +1897,9 @@
 
     To close the menu even if submenus are open use #Shift-F10#.
 
+    To filter the menu items use #Ctrl-Alt-F# (works inside all menus and
+drop-down lists).
+
     See also the list of ~macro keys~@KeyMacroUserMenuList@, available in the user menu.
 
 @FileAssoc
@@ -1918,6 +1926,8 @@
 
     #Ctrl-Down#  - move association down
 
+    #Ctrl-Alt-F# - filter the items (works inside all menus and lists)
+
     If no execute command is associated with file and
 #Use Windows registered types# option in ~System settings~@SystemSettings@
 is on, FAR tries to use Windows association to execute this file type;
@@ -2922,6 +2932,9 @@
 written for Far 1.7x and it does not support all possibilities available in
 Far 2 (these are, in particular, Unicode characters in filenames and in editor).
 
+    #Ctrl-Alt-F# allows to filter the menu items (works inside all menus and
+drop-down lists).
+
    See also the list of ~macro keys~@KeyMacroDisksList@, available in the disk menu.
 
 
FarHlf.05.diff (5,016 bytes)

DV

2010-10-06 16:50

reporter   bugnote:0005882

FarHlf.05.diff - добавлено и в раздел @FileAssoc.

JohnDoe

2010-10-06 18:23

updater   bugnote:0005883

Last edited: 2010-10-06 20:21

View 2 revisions

Вы не подумайте что я придираюсь, но @FileAssoc только для примера был, ведь и другие разделы не в меньшей степени заслуживают упоминания о Ctrl-Alt-F. Тот же @HighlightList и т.д.

Я всё-таки за специальный раздел для меню.

DV

2010-10-06 18:46

reporter   bugnote:0005884

Согласен, специальный раздел был бы лучше - но создание целого раздела я не потяну. Так что пока могу предложить только такой вариант.

JohnDoe

2010-10-06 20:12

updater   bugnote:0005885

Last edited: 2010-10-06 20:59

View 2 revisions

>создание целого раздела я не потяну
Для начала достаточно будет и того что вы создадите раздел @MenuCmd (пока с одним единственным пунктом Ctrl-Alt-F), и расставите ссылки на него в необходимых местах (перечислены на форуме).

DV

2010-10-08 14:53

reporter  

FarHlf.12.1.diff (20,306 bytes)
Index: FarRus.hlf.m4
===================================================================
--- FarRus.hlf.m4	(revision 5110)
+++ FarRus.hlf.m4	(working copy)
@@ -238,9 +238,20 @@
 
  ~Мышь: поддержка колеса~@MsWheel@
 
+ ~Команды управления меню~@MenuCmd@
+
  ~Прочие команды~@MiscCmd@
 
 
+@MenuCmd
+$ #Команды управления меню#
+ #Общие команды для меню и выпадающих списков#
+
+  Фильтровать элементы меню или списка                    #Ctrl-Alt-F#
+
+  См. также список ~макроклавиш~@KeyMacroMenuList@, доступных в меню.
+
+
 @PanelCmd
 $ #Команды управления панелями#
  #Общие команды#
@@ -394,7 +405,9 @@
     5.txt                            11.txt
     88.txt                           88.txt
 
+    См. также: Клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @FastFind
 $ #Быстрый поиск в панелях#
     Для позиционирования на файл можно воспользоваться операцией #быстрого#
@@ -858,9 +871,12 @@
     #Shift-F9#    - параметры выбранного модуля.
     #Alt-Shift-F9# - открыть меню ~"Конфигурация модулей"~@PluginsConfig@.
 
-    См. также: ~Поддержка подключаемых модулей~@Plugins@.
+    См. также:
 
+    ~Поддержка подключаемых модулей~@Plugins@.
+    Клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @PluginsConfig
 $ #Параметры внешних модулей#
     Вы можете настроить параметры ~подключаемых модулей~@Plugins@,
@@ -883,6 +899,9 @@
 для Far 1.x и не поддерживает всех возможностей Far 2 (в частности, символов
 Unicode в именах файлов и в редакторе).
 
+    См. также: Клавиатурные команды, общие ~для всех меню~@MenuCmd@.
+
+
 @PluginsReviews
 $ #Обзор возможностей подключаемых модулей#
     Оболочка FAR Manager настолько тесно слилась со своими плагинами, что
@@ -1187,7 +1206,9 @@
 
    #Сменить диск#         Сменить текущий диск.
 
+    См. также: Клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @FilesMenu
 $ #Меню файлов#
    #Просмотр#             ~Просмотр файлов~@Viewer@, подсчёт размеров папок.
@@ -1230,7 +1251,9 @@
     Некоторые команды из этого меню также описаны в теме
 ~Управление файлами и сервисные команды~@FuncCmd@.
 
+    См. также: Клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @CmdMenu
 $ #Меню команд#
    #Поиск файла#          Поиск файлов, удовлетворяющих заданной маске.
@@ -1289,7 +1312,9 @@
 
    #Список устройств#     Показывает ~список подключённых устройств~@HotPlugList@.
 
+    См. также: Клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @OptMenu
 $ #Меню параметров#
    #Системные параметры#  Вызывает ~диалог системных параметров~@SystemSettings@.
@@ -1338,7 +1363,9 @@
    #Сохранить параметры#  Сохранение текущей конфигурации, цветов
                         и внешнего вида экрана.
 
+    См. также: Клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @ConfirmDlg
 $ #Подтверждения#
     В диалоге #Подтверждения# вы можете разрешить или запретить
@@ -1384,7 +1411,9 @@
 @ChoosePluginMenu
 $ #Меню выбора плагина#
 
+    См. также: Клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @MakeFolder
 $ #Создание папки#
     Эта функция служит для создания папок. Вы можете использовать переменные
@@ -1755,6 +1784,9 @@
 
     Отмеченные пункты не будут удаляться при очистке истории.
 
+    См. также: Клавиатурные команды, общие ~для всех меню~@MenuCmd@.
+
+
 @HistoryViews
 $ #История просмотра и редактирования#
     История просмотра и редактирования файлов показывает список просмотренных
@@ -1798,6 +1830,9 @@
 
   2. ^<wrap>Отмеченные пункты не будут удаляться при очистке или обновлении истории.
 
+    См. также: Клавиатурные команды, общие ~для всех меню~@MenuCmd@.
+
+
 @HistoryFolders
 $ #История смены папок#
     История смены папок показывает список ранее посещаемых папок. Кроме клавиш
@@ -1836,6 +1871,9 @@
 
   2. ^<wrap>Отмеченные пункты не будут удаляться при очистке или обновлении истории.
 
+    См. также: Клавиатурные команды, общие ~для всех меню~@MenuCmd@.
+
+
 @TaskList
 $ #Список задач#
     Список задач показывает активные на данный момент задачи. Каждая строка
@@ -1854,7 +1892,9 @@
 
     #Ctrl-R# позволяет обновить список задач.
 
+    См. также: Клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @HotPlugList
 $ #Список Hotplug-устройств#
     Список Hotplug-устройств показывает платы PC Card и друге аналогичные
@@ -1867,7 +1907,9 @@
 
     #Ctrl-R# позволяет обновить список подключённых устройств.
 
+    См. также: Клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @CompFolders
 $ #Сравнение папок#
     Команду сравнения папок можно выполнять, только когда обе панели на экране
@@ -1931,8 +1973,12 @@
 
     Вы можете закрыть меню на любом уровне вложенности нажав #Shift-F10#.
 
-    См. так же список ~макроклавиш~@KeyMacroUserMenuList@, доступных в меню пользователя.
+    См. также:
 
+    список ~макроклавиш~@KeyMacroUserMenuList@, доступных в меню пользователя.
+    Клавиатурные команды, общие ~для всех меню~@MenuCmd@.
+
+
 @FileAssoc
 $ #Ассоциации файлов#
     FAR Manager поддерживает ассоциации файлов, которые позволяют задавать
@@ -1962,7 +2008,9 @@
 то FAR пытается использовать ассоциации Windows для запуска этого типа
 файлов.
 
+    См. также: Клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @FileAssocModify
 $ #Настройка ассоциации файлов#
     FAR позволяет задать шесть команд, ассоциированных с определённым типом
@@ -2886,6 +2934,9 @@
 
     Диалог ~Изменение имени кодовой страницы~@EditCodePageNameDlg@
 
+    См. также: Клавиатурные команды, общие ~для всех меню~@MenuCmd@.
+
+
 @EditCodePageNameDlg
 $ #Изменение имени кодовой страницы#
     Диалог #Изменение имени кодовой страницы# позволяет изменить отображаемое имя для
@@ -2974,9 +3025,12 @@
 разработан для Far 1.7x и не поддерживает всех возможностей Far 2 (в частности,
 символов Unicode в именах файлов и в редакторе).
 
-   См. так же список ~макроклавиш~@KeyMacroDisksList@, доступных в меню выбора диска.
+    См. также:
 
+    список ~макроклавиш~@KeyMacroDisksList@, доступных в меню выбора диска.
+    Клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @DisconnectDrive
 $ #Отключение сетевого устройства#
     Отключить сетевое устройство можно из ~Меню выбора диска~@DriveDlg@
@@ -3026,7 +3080,9 @@
 принадлежит к какой-либо группе, то принадлежность к остальным группам не
 проверяется.
 
+    См. также: Клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @HighlightEdit
 $ #Раскраска файлов и группы сортировки: редактирование#
     Диалог #Редактирование раскраски файлов# позволяет изменить ~параметры~@Filter@
@@ -3334,7 +3390,9 @@
     В режиме редактирования (#F4#) вы не можете сделать ссылку на плагиновую
 панель.
 
+    См. также: Клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @FiltersMenu
 $ #Меню фильтров#
     С помощью #Меню фильтров# вы можете определить набор типов файлов, с
@@ -3393,7 +3451,9 @@
      - ~Копирование, перенос, переименование и создание ссылок~@CopyFiles@;
      - ~Поиск файла~@FindFile@.
 
+    См. также: Клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @FileDiz
 $ #Описания файлов#
     Описания могут быть использованы для того, чтобы связать с файлом текстовую
@@ -3565,7 +3625,9 @@
   - #Использовать регистрозависимую сортировку# - использовать
 регистрозависимую сортировку имён файлов.
 
+    См. также: Клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @SortGroups
 $ #Группы сортировки#
     Группы сортировки могут применяться в ~панели файлов~@FilePanel@ совместно
@@ -3968,7 +4030,9 @@
 верхнем левом углу левой панели. Вы можете запретить показ количества экранов,
 используя диалог ~Настройки панели~@PanelSettings@.
 
+    См. также: Клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @ApplyCmd
 $ #Применить команду#
     Используя пункт #Применить команду# из ~Меню файлов~@FilesMenu@,
Index: FarEng.hlf.m4
===================================================================
--- FarEng.hlf.m4	(revision 5110)
+++ FarEng.hlf.m4	(working copy)
@@ -235,9 +235,20 @@
 
  ~Mouse: wheel support~@MsWheel@
 
+ ~Menu control commands~@MenuCmd@
+
  ~Miscellaneous~@MiscCmd@
 
 
+@MenuCmd
+$ #Menu control commands#
+ #Common menu and drop-down list commands#
+
+  Filter menu or list items                               #Ctrl-Alt-F#
+
+  See also the list of ~macro keys~@KeyMacroMenuList@, available in the menus.
+
+
 @PanelCmd
 $ #Panel control commands  #
     #Common panel commands#
@@ -394,7 +405,9 @@
     11.txt                       5.txt
     88.txt                       88.txt
 
+    See also: Common ~menu~@MenuCmd@ keyboard commands.
 
+
 @FastFind
 $ #Fast find in panels#
     To locate a file quickly, you can use the #fast find# operation and enter
@@ -843,9 +856,12 @@
     #Shift-F9#    - settings of the selected plugin.
     #Alt-Shift-F9# - open ~"Plugins configuration"~@PluginsConfig@ menu.
 
-    See also ~Plugins support~@Plugins@.
+    See also:
 
+    ~Plugins support~@Plugins@.
+    Common ~menu~@MenuCmd@ keyboard commands.
 
+
 @PluginsConfig
 $ #Plugins configuration#
     You can configure the installed ~plugin modules~@Plugins@ using the command
@@ -867,7 +883,9 @@
 possibilities available in Far 2 (these are, in particular, Unicode characters
 in filenames and in editor).
 
+    See also: Common ~menu~@MenuCmd@ keyboard commands.
 
+
 @PluginsReviews
 $ #Overview of plugin capabilities#
     The FAR manager is so tightly integrated with its plugins that it is simply
@@ -1160,7 +1178,9 @@
 
    #Change drive#         Change current drive.
 
+    See also: Common ~menu~@MenuCmd@ keyboard commands.
 
+
 @FilesMenu
 $ #Menus: files menu#
    #View#               ~View files~@Viewer@, count folder sizes.
@@ -1204,7 +1224,9 @@
    Some commands from this menu are also described in the
 ~File management and service commands~@FuncCmd@ topic.
 
+    See also: Common ~menu~@MenuCmd@ keyboard commands.
 
+
 @CmdMenu
 $ #Menus: commands menu#
    #Find file#            Search for files in the folders tree,
@@ -1258,7 +1280,9 @@
 
    #Hotplug devices list# Show ~hotplug devices list~@HotPlugList@.
 
+    See also: Common ~menu~@MenuCmd@ keyboard commands.
 
+
 @OptMenu
 $ #Menus: options menu#
    #System settings#       Shows ~system settings~@SystemSettings@ dialog.
@@ -1303,7 +1327,9 @@
    #Save setup#            Save current configuration, colors and
                          screen layout.
 
+    See also: Common ~menu~@MenuCmd@ keyboard commands.
 
+
 @ConfirmDlg
 $ #Confirmations#
     In the #Confirmations# dialog you can switch on or off confirmations for
@@ -1348,7 +1374,9 @@
 @ChoosePluginMenu
 $ #Plugin selection menu#
 
+    See also: Common ~menu~@MenuCmd@ keyboard commands.
 
+
 @MakeFolder
 $ #Make folder#
     This function allows you to create folders. You can use environment
@@ -1724,6 +1752,9 @@
 
     Locked history items will not be deleted when the history is cleared.
 
+    See also: Common ~menu~@MenuCmd@ keyboard commands.
+
+
 @HistoryViews
 $ #History: file view and edit#
     The file view history shows the list of files that have been recently
@@ -1767,6 +1798,9 @@
 
   2. ^<wrap>Заблокированные пункты не будут удаляться при очистке или обновлении истории.
 
+    See also: Common ~menu~@MenuCmd@ keyboard commands.
+
+
 @HistoryFolders
 $ #History: folders#
     The folders history shows the list of folders that have been recently
@@ -1807,6 +1841,9 @@
 
   2. ^<wrap>Заблокированные пункты не будут удаляться при очистке или обновлении истории.
 
+    See also: Common ~menu~@MenuCmd@ keyboard commands.
+
+
 @TaskList
 $ #Task list#
     The task list displays active tasks. Each line of the list contains a task
@@ -1823,7 +1860,9 @@
 
     #Ctrl-R# allows to refresh the task list.
 
+    See also: Common ~menu~@MenuCmd@ keyboard commands.
 
+
 @HotPlugList
 $ #Hotplug devices list#
     Hotplug devices list displays PC Card boards and other analogue devices
@@ -1835,7 +1874,9 @@
 
     #Ctrl-R# allows to refresh the list of connected devices.
 
+    See also: Common ~menu~@MenuCmd@ keyboard commands.
 
+
 @CompFolders
 $ #Compare folders#
     The compare folders command is applicable only when two ~file panels~@FilePanel@
@@ -1892,8 +1933,12 @@
 
     To close the menu even if submenus are open use #Shift-F10#.
 
-    See also the list of ~macro keys~@KeyMacroUserMenuList@, available in the user menu.
+    See also:
 
+    the list of ~macro keys~@KeyMacroUserMenuList@, available in the user menu.
+    Common ~menu~@MenuCmd@ keyboard commands.
+
+
 @FileAssoc
 $ #File associations #
     FAR Manager supports file associations, that allow to associate various
@@ -1922,7 +1967,9 @@
 #Use Windows registered types# option in ~System settings~@SystemSettings@
 is on, FAR tries to use Windows association to execute this file type;
 
+    See also: Common ~menu~@MenuCmd@ keyboard commands.
 
+
 @FileAssocModify
 $ #File associations: editing#
     FAR allows to specify six commands associated with each file type specified
@@ -2833,6 +2880,9 @@
 
     Диалог ~Изменение имени кодовой страницы~@EditCodePageNameDlg@
 
+    See also: Common ~menu~@MenuCmd@ keyboard commands.
+
+
 @EditCodePageNameDlg
 $ #Изменение имени кодовой страницы#
     Диалог #Изменение имени кодовой страницы# позволяет изменить отображаемое имя для
@@ -2922,9 +2972,12 @@
 written for Far 1.7x and it does not support all possibilities available in
 Far 2 (these are, in particular, Unicode characters in filenames and in editor).
 
-   See also the list of ~macro keys~@KeyMacroDisksList@, available in the disk menu.
+    See also:
 
+    the list of ~macro keys~@KeyMacroDisksList@, available in the disk menu.
+    Common ~menu~@MenuCmd@ keyboard commands.
 
+
 @DisconnectDrive
 $ #Disconnect network drive#
     You can disconnect a network drive by pressing #Del# in the
@@ -2973,7 +3026,9 @@
     The highlighting groups are checked from top to bottom. If it is detected
 that a file belongs to a group, no further groups are checked.
 
+    See also: Common ~menu~@MenuCmd@ keyboard commands.
 
+
 @HighlightEdit
 $ #Files highlighting and sort groups: editing#
     The #Files highlighting# dialog in the ~Options menu~@OptMenu@ allows to
@@ -3256,6 +3311,9 @@
     When you are editing a shortcut (#F4#), you cannot create a shortcut to a
 plugin panel.
 
+    See also: Common ~menu~@MenuCmd@ keyboard commands.
+
+
 @FiltersMenu
 $ #Filters menu#
     Using the #Filters menu# you can define a set of file types with user
@@ -3314,7 +3372,9 @@
      - ~Copying, moving, renaming and creating links~@CopyFiles@;
      - ~Find file~@FindFile@.
 
+    See also: Common ~menu~@MenuCmd@ keyboard commands.
 
+
 @FileDiz
 $ #File descriptions#
     File descriptions may be used to associate text information with a file.
@@ -3474,7 +3534,9 @@
 
   - #Use case sensitive sort# - use case sensitive sort for file names.
 
+  See also: Common ~menu~@MenuCmd@ keyboard commands.
 
+
 @SortGroups
 $ #Sort groups#
     File sort groups may be used in #by name# and #by extension#
@@ -3864,7 +3926,9 @@
 upper left corner. This may be disabled by using ~Panel settings~@PanelSettings@
 dialog.
 
+    See also: Common ~menu~@MenuCmd@ keyboard commands.
 
+
 @ApplyCmd
 $ #Apply command#
     With #Apply command# item in ~Files menu~@FilesMenu@ it is possible to
FarHlf.12.1.diff (20,306 bytes)

DV

2010-10-08 14:54

reporter   bugnote:0005888

FarHlf.12.1.diff - добавлен раздел @MenuCmd и ссылки на него

DV

2010-10-08 16:39

reporter  

FarHlf.12.2.diff (20,306 bytes)
Index: FarRus.hlf.m4
===================================================================
--- FarRus.hlf.m4	(revision 5110)
+++ FarRus.hlf.m4	(working copy)
@@ -238,9 +238,20 @@
 
  ~Мышь: поддержка колеса~@MsWheel@
 
+ ~Команды управления меню~@MenuCmd@
+
  ~Прочие команды~@MiscCmd@
 
 
+@MenuCmd
+$ #Команды управления меню#
+ #Общие команды для меню и выпадающих списков#
+
+  Фильтровать элементы меню или списка                    #Ctrl-Alt-F#
+
+  См. также список ~макроклавиш~@KeyMacroMenuList@, доступных в меню.
+
+
 @PanelCmd
 $ #Команды управления панелями#
  #Общие команды#
@@ -394,7 +405,9 @@
     5.txt                            11.txt
     88.txt                           88.txt
 
+    См. также: клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @FastFind
 $ #Быстрый поиск в панелях#
     Для позиционирования на файл можно воспользоваться операцией #быстрого#
@@ -858,9 +871,12 @@
     #Shift-F9#    - параметры выбранного модуля.
     #Alt-Shift-F9# - открыть меню ~"Конфигурация модулей"~@PluginsConfig@.
 
-    См. также: ~Поддержка подключаемых модулей~@Plugins@.
+    См. также:
 
+    ~Поддержка подключаемых модулей~@Plugins@.
+    Клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @PluginsConfig
 $ #Параметры внешних модулей#
     Вы можете настроить параметры ~подключаемых модулей~@Plugins@,
@@ -883,6 +899,9 @@
 для Far 1.x и не поддерживает всех возможностей Far 2 (в частности, символов
 Unicode в именах файлов и в редакторе).
 
+    См. также: клавиатурные команды, общие ~для всех меню~@MenuCmd@.
+
+
 @PluginsReviews
 $ #Обзор возможностей подключаемых модулей#
     Оболочка FAR Manager настолько тесно слилась со своими плагинами, что
@@ -1187,7 +1206,9 @@
 
    #Сменить диск#         Сменить текущий диск.
 
+    См. также: клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @FilesMenu
 $ #Меню файлов#
    #Просмотр#             ~Просмотр файлов~@Viewer@, подсчёт размеров папок.
@@ -1230,7 +1251,9 @@
     Некоторые команды из этого меню также описаны в теме
 ~Управление файлами и сервисные команды~@FuncCmd@.
 
+    См. также: клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @CmdMenu
 $ #Меню команд#
    #Поиск файла#          Поиск файлов, удовлетворяющих заданной маске.
@@ -1289,7 +1312,9 @@
 
    #Список устройств#     Показывает ~список подключённых устройств~@HotPlugList@.
 
+    См. также: клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @OptMenu
 $ #Меню параметров#
    #Системные параметры#  Вызывает ~диалог системных параметров~@SystemSettings@.
@@ -1338,7 +1363,9 @@
    #Сохранить параметры#  Сохранение текущей конфигурации, цветов
                         и внешнего вида экрана.
 
+    См. также: клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @ConfirmDlg
 $ #Подтверждения#
     В диалоге #Подтверждения# вы можете разрешить или запретить
@@ -1384,7 +1411,9 @@
 @ChoosePluginMenu
 $ #Меню выбора плагина#
 
+    См. также: клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @MakeFolder
 $ #Создание папки#
     Эта функция служит для создания папок. Вы можете использовать переменные
@@ -1755,6 +1784,9 @@
 
     Отмеченные пункты не будут удаляться при очистке истории.
 
+    См. также: клавиатурные команды, общие ~для всех меню~@MenuCmd@.
+
+
 @HistoryViews
 $ #История просмотра и редактирования#
     История просмотра и редактирования файлов показывает список просмотренных
@@ -1798,6 +1830,9 @@
 
   2. ^<wrap>Отмеченные пункты не будут удаляться при очистке или обновлении истории.
 
+    См. также: клавиатурные команды, общие ~для всех меню~@MenuCmd@.
+
+
 @HistoryFolders
 $ #История смены папок#
     История смены папок показывает список ранее посещаемых папок. Кроме клавиш
@@ -1836,6 +1871,9 @@
 
   2. ^<wrap>Отмеченные пункты не будут удаляться при очистке или обновлении истории.
 
+    См. также: клавиатурные команды, общие ~для всех меню~@MenuCmd@.
+
+
 @TaskList
 $ #Список задач#
     Список задач показывает активные на данный момент задачи. Каждая строка
@@ -1854,7 +1892,9 @@
 
     #Ctrl-R# позволяет обновить список задач.
 
+    См. также: клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @HotPlugList
 $ #Список Hotplug-устройств#
     Список Hotplug-устройств показывает платы PC Card и друге аналогичные
@@ -1867,7 +1907,9 @@
 
     #Ctrl-R# позволяет обновить список подключённых устройств.
 
+    См. также: клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @CompFolders
 $ #Сравнение папок#
     Команду сравнения папок можно выполнять, только когда обе панели на экране
@@ -1931,8 +1973,12 @@
 
     Вы можете закрыть меню на любом уровне вложенности нажав #Shift-F10#.
 
-    См. так же список ~макроклавиш~@KeyMacroUserMenuList@, доступных в меню пользователя.
+    См. также:
 
+    Список ~макроклавиш~@KeyMacroUserMenuList@, доступных в меню пользователя.
+    Клавиатурные команды, общие ~для всех меню~@MenuCmd@.
+
+
 @FileAssoc
 $ #Ассоциации файлов#
     FAR Manager поддерживает ассоциации файлов, которые позволяют задавать
@@ -1962,7 +2008,9 @@
 то FAR пытается использовать ассоциации Windows для запуска этого типа
 файлов.
 
+    См. также: клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @FileAssocModify
 $ #Настройка ассоциации файлов#
     FAR позволяет задать шесть команд, ассоциированных с определённым типом
@@ -2886,6 +2934,9 @@
 
     Диалог ~Изменение имени кодовой страницы~@EditCodePageNameDlg@
 
+    См. также: клавиатурные команды, общие ~для всех меню~@MenuCmd@.
+
+
 @EditCodePageNameDlg
 $ #Изменение имени кодовой страницы#
     Диалог #Изменение имени кодовой страницы# позволяет изменить отображаемое имя для
@@ -2974,9 +3025,12 @@
 разработан для Far 1.7x и не поддерживает всех возможностей Far 2 (в частности,
 символов Unicode в именах файлов и в редакторе).
 
-   См. так же список ~макроклавиш~@KeyMacroDisksList@, доступных в меню выбора диска.
+    См. также:
 
+    Список ~макроклавиш~@KeyMacroDisksList@, доступных в меню выбора диска.
+    Клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @DisconnectDrive
 $ #Отключение сетевого устройства#
     Отключить сетевое устройство можно из ~Меню выбора диска~@DriveDlg@
@@ -3026,7 +3080,9 @@
 принадлежит к какой-либо группе, то принадлежность к остальным группам не
 проверяется.
 
+    См. также: клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @HighlightEdit
 $ #Раскраска файлов и группы сортировки: редактирование#
     Диалог #Редактирование раскраски файлов# позволяет изменить ~параметры~@Filter@
@@ -3334,7 +3390,9 @@
     В режиме редактирования (#F4#) вы не можете сделать ссылку на плагиновую
 панель.
 
+    См. также: клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @FiltersMenu
 $ #Меню фильтров#
     С помощью #Меню фильтров# вы можете определить набор типов файлов, с
@@ -3393,7 +3451,9 @@
      - ~Копирование, перенос, переименование и создание ссылок~@CopyFiles@;
      - ~Поиск файла~@FindFile@.
 
+    См. также: клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @FileDiz
 $ #Описания файлов#
     Описания могут быть использованы для того, чтобы связать с файлом текстовую
@@ -3565,7 +3625,9 @@
   - #Использовать регистрозависимую сортировку# - использовать
 регистрозависимую сортировку имён файлов.
 
+    См. также: клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @SortGroups
 $ #Группы сортировки#
     Группы сортировки могут применяться в ~панели файлов~@FilePanel@ совместно
@@ -3968,7 +4030,9 @@
 верхнем левом углу левой панели. Вы можете запретить показ количества экранов,
 используя диалог ~Настройки панели~@PanelSettings@.
 
+    См. также: клавиатурные команды, общие ~для всех меню~@MenuCmd@.
 
+
 @ApplyCmd
 $ #Применить команду#
     Используя пункт #Применить команду# из ~Меню файлов~@FilesMenu@,
Index: FarEng.hlf.m4
===================================================================
--- FarEng.hlf.m4	(revision 5110)
+++ FarEng.hlf.m4	(working copy)
@@ -235,9 +235,20 @@
 
  ~Mouse: wheel support~@MsWheel@
 
+ ~Menu control commands~@MenuCmd@
+
  ~Miscellaneous~@MiscCmd@
 
 
+@MenuCmd
+$ #Menu control commands#
+ #Common menu and drop-down list commands#
+
+  Filter menu or list items                               #Ctrl-Alt-F#
+
+  See also the list of ~macro keys~@KeyMacroMenuList@, available in the menus.
+
+
 @PanelCmd
 $ #Panel control commands  #
     #Common panel commands#
@@ -394,7 +405,9 @@
     11.txt                       5.txt
     88.txt                       88.txt
 
+    See also: common ~menu~@MenuCmd@ keyboard commands.
 
+
 @FastFind
 $ #Fast find in panels#
     To locate a file quickly, you can use the #fast find# operation and enter
@@ -843,9 +856,12 @@
     #Shift-F9#    - settings of the selected plugin.
     #Alt-Shift-F9# - open ~"Plugins configuration"~@PluginsConfig@ menu.
 
-    See also ~Plugins support~@Plugins@.
+    See also:
 
+    ~Plugins support~@Plugins@.
+    Common ~menu~@MenuCmd@ keyboard commands.
 
+
 @PluginsConfig
 $ #Plugins configuration#
     You can configure the installed ~plugin modules~@Plugins@ using the command
@@ -867,7 +883,9 @@
 possibilities available in Far 2 (these are, in particular, Unicode characters
 in filenames and in editor).
 
+    See also: common ~menu~@MenuCmd@ keyboard commands.
 
+
 @PluginsReviews
 $ #Overview of plugin capabilities#
     The FAR manager is so tightly integrated with its plugins that it is simply
@@ -1160,7 +1178,9 @@
 
    #Change drive#         Change current drive.
 
+    See also: common ~menu~@MenuCmd@ keyboard commands.
 
+
 @FilesMenu
 $ #Menus: files menu#
    #View#               ~View files~@Viewer@, count folder sizes.
@@ -1204,7 +1224,9 @@
    Some commands from this menu are also described in the
 ~File management and service commands~@FuncCmd@ topic.
 
+    See also: common ~menu~@MenuCmd@ keyboard commands.
 
+
 @CmdMenu
 $ #Menus: commands menu#
    #Find file#            Search for files in the folders tree,
@@ -1258,7 +1280,9 @@
 
    #Hotplug devices list# Show ~hotplug devices list~@HotPlugList@.
 
+    See also: common ~menu~@MenuCmd@ keyboard commands.
 
+
 @OptMenu
 $ #Menus: options menu#
    #System settings#       Shows ~system settings~@SystemSettings@ dialog.
@@ -1303,7 +1327,9 @@
    #Save setup#            Save current configuration, colors and
                          screen layout.
 
+    See also: common ~menu~@MenuCmd@ keyboard commands.
 
+
 @ConfirmDlg
 $ #Confirmations#
     In the #Confirmations# dialog you can switch on or off confirmations for
@@ -1348,7 +1374,9 @@
 @ChoosePluginMenu
 $ #Plugin selection menu#
 
+    See also: common ~menu~@MenuCmd@ keyboard commands.
 
+
 @MakeFolder
 $ #Make folder#
     This function allows you to create folders. You can use environment
@@ -1724,6 +1752,9 @@
 
     Locked history items will not be deleted when the history is cleared.
 
+    See also: common ~menu~@MenuCmd@ keyboard commands.
+
+
 @HistoryViews
 $ #History: file view and edit#
     The file view history shows the list of files that have been recently
@@ -1767,6 +1798,9 @@
 
   2. ^<wrap>Заблокированные пункты не будут удаляться при очистке или обновлении истории.
 
+    See also: common ~menu~@MenuCmd@ keyboard commands.
+
+
 @HistoryFolders
 $ #History: folders#
     The folders history shows the list of folders that have been recently
@@ -1807,6 +1841,9 @@
 
   2. ^<wrap>Заблокированные пункты не будут удаляться при очистке или обновлении истории.
 
+    See also: common ~menu~@MenuCmd@ keyboard commands.
+
+
 @TaskList
 $ #Task list#
     The task list displays active tasks. Each line of the list contains a task
@@ -1823,7 +1860,9 @@
 
     #Ctrl-R# allows to refresh the task list.
 
+    See also: common ~menu~@MenuCmd@ keyboard commands.
 
+
 @HotPlugList
 $ #Hotplug devices list#
     Hotplug devices list displays PC Card boards and other analogue devices
@@ -1835,7 +1874,9 @@
 
     #Ctrl-R# allows to refresh the list of connected devices.
 
+    See also: common ~menu~@MenuCmd@ keyboard commands.
 
+
 @CompFolders
 $ #Compare folders#
     The compare folders command is applicable only when two ~file panels~@FilePanel@
@@ -1892,8 +1933,12 @@
 
     To close the menu even if submenus are open use #Shift-F10#.
 
-    See also the list of ~macro keys~@KeyMacroUserMenuList@, available in the user menu.
+    See also:
 
+    The list of ~macro keys~@KeyMacroUserMenuList@, available in the user menu.
+    Common ~menu~@MenuCmd@ keyboard commands.
+
+
 @FileAssoc
 $ #File associations #
     FAR Manager supports file associations, that allow to associate various
@@ -1922,7 +1967,9 @@
 #Use Windows registered types# option in ~System settings~@SystemSettings@
 is on, FAR tries to use Windows association to execute this file type;
 
+    See also: common ~menu~@MenuCmd@ keyboard commands.
 
+
 @FileAssocModify
 $ #File associations: editing#
     FAR allows to specify six commands associated with each file type specified
@@ -2833,6 +2880,9 @@
 
     Диалог ~Изменение имени кодовой страницы~@EditCodePageNameDlg@
 
+    See also: common ~menu~@MenuCmd@ keyboard commands.
+
+
 @EditCodePageNameDlg
 $ #Изменение имени кодовой страницы#
     Диалог #Изменение имени кодовой страницы# позволяет изменить отображаемое имя для
@@ -2922,9 +2972,12 @@
 written for Far 1.7x and it does not support all possibilities available in
 Far 2 (these are, in particular, Unicode characters in filenames and in editor).
 
-   See also the list of ~macro keys~@KeyMacroDisksList@, available in the disk menu.
+    See also:
 
+    The list of ~macro keys~@KeyMacroDisksList@, available in the disk menu.
+    Common ~menu~@MenuCmd@ keyboard commands.
 
+
 @DisconnectDrive
 $ #Disconnect network drive#
     You can disconnect a network drive by pressing #Del# in the
@@ -2973,7 +3026,9 @@
     The highlighting groups are checked from top to bottom. If it is detected
 that a file belongs to a group, no further groups are checked.
 
+    See also: common ~menu~@MenuCmd@ keyboard commands.
 
+
 @HighlightEdit
 $ #Files highlighting and sort groups: editing#
     The #Files highlighting# dialog in the ~Options menu~@OptMenu@ allows to
@@ -3256,6 +3311,9 @@
     When you are editing a shortcut (#F4#), you cannot create a shortcut to a
 plugin panel.
 
+    See also: common ~menu~@MenuCmd@ keyboard commands.
+
+
 @FiltersMenu
 $ #Filters menu#
     Using the #Filters menu# you can define a set of file types with user
@@ -3314,7 +3372,9 @@
      - ~Copying, moving, renaming and creating links~@CopyFiles@;
      - ~Find file~@FindFile@.
 
+    See also: common ~menu~@MenuCmd@ keyboard commands.
 
+
 @FileDiz
 $ #File descriptions#
     File descriptions may be used to associate text information with a file.
@@ -3474,7 +3534,9 @@
 
   - #Use case sensitive sort# - use case sensitive sort for file names.
 
+  See also: common ~menu~@MenuCmd@ keyboard commands.
 
+
 @SortGroups
 $ #Sort groups#
     File sort groups may be used in #by name# and #by extension#
@@ -3864,7 +3926,9 @@
 upper left corner. This may be disabled by using ~Panel settings~@PanelSettings@
 dialog.
 
+    See also: common ~menu~@MenuCmd@ keyboard commands.
 
+
 @ApplyCmd
 $ #Apply command#
     With #Apply command# item in ~Files menu~@FilesMenu@ it is possible to
FarHlf.12.2.diff (20,306 bytes)

DV

2010-10-08 16:41

reporter   bugnote:0005889

FarHlf.12.2.diff - косметические изменения: регистр первой буквы в названии ссылки

vskirdin

2013-03-22 16:34

administrator   bugnote:0010602

build 3266

Issue History

Date Modified Username Field Change
2010-10-06 16:01 DV New Issue
2010-10-06 16:01 DV File Added: FarHlf.diff
2010-10-06 16:25 JohnDoe Note Added: 0005881
2010-10-06 16:49 DV File Added: FarHlf.05.diff
2010-10-06 16:50 DV Note Added: 0005882
2010-10-06 18:23 JohnDoe Note Added: 0005883
2010-10-06 18:46 DV Note Added: 0005884
2010-10-06 20:12 JohnDoe Note Added: 0005885
2010-10-06 20:21 JohnDoe Note Edited: 0005883 View Revisions
2010-10-06 20:59 JohnDoe Note Edited: 0005885 View Revisions
2010-10-08 14:53 DV File Added: FarHlf.12.1.diff
2010-10-08 14:54 DV Note Added: 0005888
2010-10-08 16:39 DV File Added: FarHlf.12.2.diff
2010-10-08 16:41 DV Note Added: 0005889
2013-01-16 17:46 vskirdin Assigned To => vskirdin
2013-01-16 17:46 vskirdin Status new => assigned
2013-03-22 16:34 vskirdin Note Added: 0010602
2013-03-22 16:34 vskirdin Status assigned => feedback
2013-03-25 11:35 vskirdin Status feedback => closed
2013-03-25 11:35 vskirdin Resolution open => fixed
2013-03-25 11:35 vskirdin Fixed in Version => 3.0